Solid Edge Part Type Library
put_BoundaryEdgesAndItsTangentTypes Method
Number of edges.
Array of edges.
Description
Function to set specific tangency types on bounded surface edges.
Syntax
Visual Basic
Public Sub put_BoundaryEdgesAndItsTangentTypes( _
   ByVal NumberOfEdgesForTangentTypes As Long, _
   ByRef paEdgesForTangentTypes() As Object, _
   ByRef paTangentTypes() As SurfaceByBoundaryTangencyType _
) 
Parameters
NumberOfEdgesForTangentTypes
Number of edges.
paEdgesForTangentTypes
Array of edges.
paTangentTypes
ValueDescription
igSurfaceByBoundaryCurvatureContinuous
igSurfaceByBoundaryNatural
igSurfaceByBoundaryTangential
Remarks
All the edges need not be input to it. Only the edges for which tangency types is to be changed can be sent.
Example
Private Sub PutBoundaryEdgesAndItsTangentTypes_Click(sender As Object, e As EventArgs) Handles PutBoundaryEdgesAndItsTangentTypes.Click
    Dim objApplication As SolidEdgeFramework.Application
    Dim objPartDoc As SolidEdgePart.PartDocument = Nothing
    Dim objConstructions As SolidEdgePart.Constructions = Nothing
    Dim objBdrySurfaces As SolidEdgePart.SurfaceByBoundaries = Nothing
    Dim objBdrySurface As SolidEdgePart.SurfaceByBoundary = Nothing
    Dim objProfileSet As SolidEdgePart.ProfileSet = Nothing
    Dim objProfile As SolidEdgePart.Profile = Nothing
    Dim sketch As SolidEdgePart.Sketch = Nothing
    Dim arrInEdges(0 To 3) As Object
    Dim arrGuideWire(0 To 1) As Object
    Dim arrInEdgesForTangentTypes(1) As Object
    Dim arrTangentTypes(3) As SolidEdgeConstants.SurfaceByBoundaryTangencyType
    Dim arrTangentFace(3) As Object
    
    Dim NumberOfEdgesForTangentTypes As Long
    Dim arrOutEdgesForTangentTypes(3) As Object
    Dim arrOutTangentTypes(3) As SolidEdgeConstants.SurfaceByBoundaryTangencyType

    Try
        ' Create/get the application with specific settings
        objApplication = Marshal.GetActiveObject("SolidEdge.Application")

        ' Get the document
        objPartDoc = objApplication.ActiveDocument

        ' get the constructions collection
        objConstructions = objPartDoc.Constructions
        objBdrySurfaces = objConstructions.SurfaceByBoundaries

        ' input edges
        sketch = objPartDoc.Sketches.Item(1)
        objProfile = sketch.Profile

        ' get input edges to create bounded surface
        arrInEdges(0) = objProfile.CurveBody.Curves.Item(1)
        arrInEdges(1) = objProfile.CurveBody.Curves.Item(2)
        arrInEdges(2) = objProfile.CurveBody.Curves.Item(3)
        arrInEdges(3) = objProfile.CurveBody.Curves.Item(4)

        'Create the SurfaceByBoundary using Add3()
        'All boundary edges with natural continuity therefore NumberOfEdgesForTangentTypes and NumberOfTangentFaces are passed as zero.

        arrGuideWire(0) = objPartDoc.Sketches.Item(2).Profile.CurveBody.Curves.Item(1)

        objBdrySurface = objBdrySurfaces.Add3(4, arrInEdges, 0, arrInEdgesForTangentTypes, arrTangentTypes, 0, arrTangentFace, 1, arrGuideWire, False, SolidEdgeConstants.SurfaceByBoundaryPatchTopology.igSurfaceByBoundaryMultiple)
        'Get and set of tangent edges and its tangent types
        objBdrySurface.get_BoundaryEdgesAndItsTangentTypes(NumberOfEdgesForTangentTypes, arrOutEdgesForTangentTypes, arrOutTangentTypes)

        arrTangentTypes(0) = SolidEdgeConstants.SurfaceByBoundaryTangencyType.igSurfaceByBoundaryNatural
        arrTangentTypes(1) = SolidEdgeConstants.SurfaceByBoundaryTangencyType.igSurfaceByBoundaryNatural
        arrTangentTypes(2) = SolidEdgeConstants.SurfaceByBoundaryTangencyType.igSurfaceByBoundaryNatural
        arrTangentTypes(3) = SolidEdgeConstants.SurfaceByBoundaryTangencyType.igSurfaceByBoundaryNatural

        'You can only send the edges for which tangency is to be changed.
        objBdrySurface.put_BoundaryEdgesAndItsTangentTypes(4, arrOutEdgesForTangentTypes, arrTangentTypes)


    Catch ex As Exception
        MsgBox(ex.ToString)
    End Try
End Sub
See Also

SurfaceByBoundary Object  | SurfaceByBoundary Members